Bug 1578440 - Drop OVS dependency from os-net-config to fix future Entitlement issues
Summary: Drop OVS dependency from os-net-config to fix future Entitlement issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 13.0 (Queens)
Assignee: Bob Fournier
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-15 15:35 UTC by Paul Grist
Modified: 2018-06-27 13:57 UTC (History)
6 users (show)

Fixed In Version: os-net-config-8.4.1-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:56:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 13806 None None None 2018-05-16 17:37:49 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:57:37 UTC

Description Paul Grist 2018-05-15 15:35:28 UTC
Description of problem: 

Drop OVS dependency from os-net-config to fix future Entitlement issues

Version-Release number of selected component (if applicable):

OSP-13


Additional info:

We currently have OSP entitlement issues in the field when director deploys nodes that are not for OSP use - key recent customer escalations are currently for Ceph, but this will apply to other cases like director deployed OCP as well.

To fix this going forward, there is work underway to produce a new EngID/channel to enable subscriptions to get "just" the director-based packages for these RHEL nodes and one of the issues is the OVS dependency.  We need this minor change to break that and the accompanying bug to improve the result of that in the Z streams to enable this work for OSP-13 (https://bugzilla.redhat.com/show_bug.cgi?id=1578036)

Comment 3 Bob Fournier 2018-05-15 17:51:09 UTC
Re-adding blocker flag after setting rhos-13.0 flag.

Comment 4 Bob Fournier 2018-05-15 19:37:37 UTC
Build with openswitch dependency removed is here:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=694784

Comment 12 mlammon 2018-05-18 16:47:49 UTC
Install latest osp 13 puddle 2018-05-18.1

Check to see if ovs is no longer a dependency a couple methods

1) 

yum deplist os-net-config
Loaded plugins: search-disabled-repos
rhelosp-13.0-optools-puddle                                                                                                                                                         121/121
rhelosp-13.0-puddle                                                                                                                                                                 801/801
package: os-net-config.noarch 8.4.1-3.el7ost
  dependency: /usr/bin/python
   provider: python.x86_64 2.7.5-68.el7
  dependency: PyYAML >= 3.10
   provider: PyYAML.x86_64 3.10-11.el7
  dependency: dhclient
   provider: dhclient.x86_64 12:4.2.5-68.el7_5.1
  dependency: ethtool
   provider: ethtool.x86_64 2:4.8-7.el7
  dependency: initscripts
   provider: initscripts.x86_64 9.49.41-1.el7
  dependency: iproute
   provider: iproute.x86_64 4.11.0-14.el7
  dependency: python(abi) = 2.7
   provider: python.x86_64 2.7.5-68.el7
  dependency: python-anyjson >= 0.3.3
   provider: python-anyjson.noarch 0.3.3-7.1.el7ost
  dependency: python2-eventlet >= 0.18.2
   provider: python-eventlet.noarch 0.20.1-2.el7ost
  dependency: python2-iso8601 >= 0.1.11
   provider: python-iso8601.noarch 0.1.11-1.el7ost
  dependency: python2-jsonschema >= 2.0.0
   provider: python2-jsonschema.noarch 2.6.0-2.el7ost
  dependency: python2-netaddr >= 0.7.13
   provider: python2-netaddr.noarch 0.7.19-5.el7ost
  dependency: python2-oslo-concurrency >= 3.8.0
   provider: python2-oslo-concurrency.noarch 3.25.0-1.el7ost
  dependency: python2-oslo-config
   provider: python2-oslo-config.noarch 2:5.2.0-1.el7ost
  dependency: python2-oslo-utils >= 3.20.0
   provider: python2-oslo-utils.noarch 3.35.0-1.el7ost
  dependency: python2-pbr >= 2.0.0
   provider: python2-pbr.noarch 3.1.1-2.el7ost
  dependency: python2-six >= 1.9.0
   provider: python2-six.noarch 1.10.0-9.el7ost

2) download RPM directly from puddle and check
[root@undercloud-0 ~]# rpm -qp os-net-config-8.4.1-3.el7ost.noarch.rpm --requires
warning: os-net-config-8.4.1-3.el7ost.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
/usr/bin/python
PyYAML >= 3.10
dhclient
ethtool
initscripts
iproute
python(abi) = 2.7
python-anyjson >= 0.3.3
python2-eventlet >= 0.18.2
python2-iso8601 >= 0.1.11
python2-jsonschema >= 2.0.0
python2-netaddr >= 0.7.13
python2-oslo-concurrency >= 3.8.0
python2-oslo-config
python2-oslo-utils >= 3.20.0
python2-pbr >= 2.0.0
python2-six >= 1.9.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Comment 14 errata-xmlrpc 2018-06-27 13:56:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.